DoubleMetaphoneFilter (Solr 3.6.2 API)
Keywords: org.apache.solr.analysis.DoubleMetaphoneFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.analysis
Class DoubleMetaphoneFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.phonetic.DoubleMetaphoneFilter
                      org.apache.solr.analysis.DoubleMetaphoneFilter

All Implemented Interfaces:
  Closeable

Deprecated. Use `DoubleMetaphoneFilter` instead

    @Deprecated
    public final class DoubleMetaphoneFilter

extends DoubleMetaphoneFilter

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`DoubleMetaphoneFilter(TokenStream input, int maxCodeLength, boolean inject)` Deprecated.

Method Summary

Methods inherited from class org.apache.lucene.analysis.phonetic.DoubleMetaphoneFilter
`incrementToken, reset`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DoubleMetaphoneFilter

    public DoubleMetaphoneFilter(TokenStream input,
                                 int maxCodeLength,
                                 boolean inject)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD